Subject: Re: [bitcoin-dev] "A Transaction Fee Market Exists Without a Block Size Limit"--new research paper suggests

From: Peter R <[email-masked]>
Date: Wed, 5 Aug 2015 03:26:19 -0700

Thank you for the feedback, Benjamin.

> When you talk about a market, what are you referring to exactly?

I define what I mean by healthy, unhealthy, and non-existent markets in Section 7, and I show a figure to illustrate the supply and demand curves in each of these three cases.  A healthy market is defined as one where a rational miner would be incentivized to produce a finite block.  An unhealthy market is one where a miner would be incentivized to produce an arbitrarily large block.  A non-existant market is one where a miner is better off publishing an empty block.  I show that so long as block space in a normal economic commodity that obeys the Law of Demand, and that the Shannon-Hartley theorem applies to the communication of the block solutions between miners, that an unhealthy market is not possible.  

>  A market means that demand and supply are matched continuously, and Bitcoin has no such mechanism.

Take a look at my definitions for the mempool demand curve (Sec 4) and the block space supply curve (Sec 5).  I show that the miner's profit is a maximum at the point where the derivatives of these two curves intersect.  I think of this as when "demand and supply are matched."

> ...I don't think a fee market exists and that demand or supply are not easily definable.

Do you not find the definitions presented in the paper for these curves useful?  The mempool demand curve represents the empirical demand measureable from a miner’s mempool, while the block space supply curve represents the additional cost to create a block of size Q by accounting for orphaning risk.  

> Ideally supply of transaction capability would completely depend on demand, and a price would exist such that demand can react to longterm or shorterm supply constraints.

Supply and demand do react.  For example, if the cost to produce block space decreases (e.g., due to improvements in network interconnectivity) then a miner will be able to profitably include a greater number of transactions in his block.  

Furthermore, not only is there a minimum fee density below which no rational miner should include any transactions as Gavin observed, but the required fee density for inclusion also naturally increases if demand for space within a block is elevated.  A rational miner will not necessarily include all fee-paying transactions, as urgent higher-paying transactions bump lower-fee transactions out, thereby bidding up the minimum fee density exponentially with demand.

> In such a scenario there would be no scalability concerns, as scale would be almost perfectly elastic.

Agreed.  

Best regards,
Peter

> 
> On Tue, Aug 4, 2015 at 8:40 AM, Peter R via bitcoin-dev <[email-masked]> wrote:
> Dear Bitcoin-Dev Mailing list,
> 
> I’d like to share a research paper I’ve recently completed titled “A Transaction Fee Market Exists Without a Block Size Limit.”  In addition to presenting some useful charts such as the cost to produce large spam blocks, I think the paper convincingly demonstrates that, due to the orphaning cost, a block size limit is not necessary to ensure a functioning fee market.  
> 
> The paper does not argue that a block size limit is unnecessary in general, and in fact brings up questions related to mining cartels and the size of the UTXO set.   
> 
> It can be downloaded in PDF format here:
> 
> https://dl.dropboxusercontent.com/u/43331625/feemarket.pdf
> 
> Or viewed with a web-browser here:
> 
> https://www.scribd.com/doc/273443462/A-Transaction-Fee-Market-Exists-Without-a-Block-Size-Limit
> 
> Abstract.  This paper shows how a rational Bitcoin miner should select transactions from his node’s mempool, when creating a new block, in order to maximize his profit in the absence of a block size limit. To show this, the paper introduces the block space supply curve and the mempool demand curve.  The former describes the cost for a miner to supply block space by accounting for orphaning risk.  The latter represents the fees offered by the transactions in mempool, and is expressed versus the minimum block size required to claim a given portion of the fees.  The paper explains how the supply and demand curves from classical economics are related to the derivatives of these two curves, and proves that producing the quantity of block space indicated by their intersection point maximizes the miner’s profit.  The paper then shows that an unhealthy fee market—where miners are incentivized to produce arbitrarily large blocks—cannot exist since it requires communicating information at an arbitrarily fast rate.  The paper concludes by considering the conditions under which a rational miner would produce big, small or empty blocks, and by estimating the cost of a spam attack.  
> 
> Best regards,
> Peter
> 
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> 
>